PUT openApi/followUpActivities/{followUpActivityId}
Authorization
Access to this endpoint is granted if all following conditions are true:
- Authenticated territory has access to center which matches identifier given in "centerId" uri parameter.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| followUpActivityId | globally unique identifier |
Required |
Body Parameters
PearsonEnglish.LearningServices.Core.Models.Views.FollowUpActivityViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | globally unique identifier |
None. |
|
| StudentId | globally unique identifier |
None. |
|
| ReporterId | globally unique identifier |
None. |
|
| ReporterFullName | string |
None. |
|
| LocalDate | date |
None. |
|
| Result | string |
None. |
|
| HasReachedStudent | boolean |
None. |
|
| StaffMemberPhotoUris | Dictionary of Nse.ServiceBus.DataContracts.ImageResolution [key] and string [value] |
None. |
|
| FollowUpActivityType | PearsonEnglish.LearningServices.Core.Models.Views.FollowUpActivityTypeViewModel |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": "ef28f504-5b29-420b-8b82-a31ecd35a56e",
"StudentId": "0616286a-a1de-4a97-a01e-da77e2865f86",
"ReporterId": "15646fd9-a30e-4cf3-a4c6-943fabfb6288",
"ReporterFullName": "sample string 4",
"LocalDate": "2026-05-10T13:23:26.1802465+00:00",
"Result": "sample string 6",
"HasReachedStudent": true,
"StaffMemberPhotoUris": {
"Small": "sample string 1"
},
"FollowUpActivityType": {
"Id": "84db1db0-a063-407a-93e3-d1b5a9e403a2",
"Name": "sample string 2"
}
}
Response Information
Resource Description
System.Web.Http.IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.